## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           python-expandvars
Version:        0.12.0
Release:        %autorelease
Summary:        Expand system variables Unix style

# SPDX
License:        MIT
URL:            https://github.com/sayanarijit/expandvars
Source:         %{pypi_source expandvars}

BuildArch:      noarch

BuildRequires:  python3-devel

# Most of the dependencies in the “test” extra and almost everything tox.ini
# pertain to linting and coverage analysis. Rather than working around all of
# these, it is simpler to BR and invoke pytest manually.
# https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#_linters
BuildRequires:  %{py3_dist pytest}

%global common_description %{expand:
This module is inspired by GNU bash’s variable expansion features. It can be
used as an alternative to Python’s os.path.expandvars function.

A good use case is reading config files with the flexibility of reading values
from environment variables using advanced features like returning a default
value if some variable is not defined.}

%description %{common_description}


%package -n python3-expandvars
Summary:        %{summary}

%description -n python3-expandvars %{common_description}


%prep
%autosetup -n expandvars-%{version}
# https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#_linters
sed -r -i "s/--cov[^[:blank:]'\"]*[[:blank:]]*//g" pyproject.toml


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files expandvars


%check
%pytest


%files -n python3-expandvars -f %{pyproject_files}
%doc README.md


%changelog
* Mon Dec 18 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 0.12.0-1
- Initial package (close RHBZ#2254717)
